## lindrivers_v1.10.0.zip

=== dkms_source_tree/Makefile ===
#
# Makefile for the Linux WWAN device drivers.
#
# NOTE: This make file can serve as both an external Makefile (launched
#       directly by the user), or as the sub-dir Makefile used by the kernel
# 	build system.

# If CONFIG_HSO isn't set, we'll assume the user has never configured
# their kernel to include this module and set up some defaults.
#
# NOTE: If you have previously added the HSO project to your kernel 
# 	and configured it for inclusion, these settings will be 
#	overridden by your kernel configuration.
ifndef ARCH
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
CROSS_COMPILE ?=
else
CROSS_COMPILE := $(ARCH)-linux-gnu-
endif

list-m :=
list-m += hso
obj-m += hso.o

PWD=$(shell pwd)

MYPARMS := -C $(LINUXDIR) M=$(PWD) CROSS_COMPILE=$(CROSS_COMPILE) ARCH=$(ARCH)
EXTRA_CFLAGS := -DMOD_PACKAGE_VERSION=\"$(PACKAGE_VERSION)\"

all: modules

modules:
	$(MAKE) $(MYPARMS) modules

clean:
	$(MAKE) $(MYPARMS) clean

=== dkms_source_tree/hso-dkms-mkdeb/Makefile ===
#/usr/bin/make
SRC = $(DESTDIR)/usr/src
SHARE = $(DESTDIR)/usr/share/$(NAME)-dkms

all:

clean:

install:

#source tree
ifeq ("$(wildcard $(NAME)-$(VERSION))", "$(NAME)-$(VERSION)")
	install -d "$(SRC)"
	cp -a $(NAME)-$(VERSION) $(SRC)
	chmod 644 -R "$(SRC)/$(NAME)-$(VERSION)"
	chmod 755 "$(SRC)/$(NAME)-$(VERSION)/pre_install.sh"
	chmod 755 "$(SRC)/$(NAME)-$(VERSION)/pre_build.sh"
endif

#tarball, possibly with binaries
ifeq ("$(wildcard $(NAME)-$(VERSION).dkms.tar.gz)", "$(NAME)-$(VERSION).dkms.tar.gz")
	install -d "$(SHARE)"
	install -m 644 $(NAME)-$(VERSION).dkms.tar.gz "$(SHARE)"
endif

#postinst, only if we are supporting legacy mode
ifeq ("$(wildcard common.postinst)", "common.postinst")
	install -d "$(SHARE)"
	install -m 755 $(PREFIX)/usr/lib/dkms/common.postinst $(SHARE)/postinst
endif

=== dkms_source_tree/hso-dkms-mkdeb/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, sed, usb-modeswitch
Standards-Version: 3.8.1

Package: DEBIAN_PACKAGE-dkms
Architecture: all
Depends: dkms (>= 1.95), sed, usb-modeswitch, ${misc:Depends}
Description: DEBIAN_PACKAGE driver in DKMS format.
